[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BoundsRect

The TopLeft and BottomRight of the control in client coordinates.

## Declaration

Source position: controls.pp line 1377

`public property TControl.BoundsRect: TRect read GetBoundsRect write SetBoundsRect;`

## Description

The BoundsRect rectangle describes the TopLeft and BottomRight coordinates of the control, relative to its parent. The values are based on the Top, Left, Width and Height of the control.

Set BoundsRect to move the control.

Bounding rectangle (top-left, bottom-right) is defined in TRect

The latest version of this document can be found at lazarus-ccr.sourceforge.net.